﻿Public Class ItemForm

    Private Sub ItemBindingNavigatorSaveItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ItemBindingNavigatorSaveItem.Click
        Me.Validate()
        ' 入力エラーがある場合は保存しない
        If HandleInputError() = False Then
            ' フォームを閉じる前の場合、閉じる処理をキャンセルする
            If TypeName(e) = "FormClosingEventArgs" Then
                DirectCast(e, FormClosingEventArgs).Cancel = True
            End If
            Return
        End If
        Me.ItemBindingSource.EndEdit()
        Me.TableAdapterManager.UpdateAll(Me.OrderDataSet)
    End Sub

    Private Sub ItemForm_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'TODO: このコード行はデータを 'OrderDataSet.item' テーブルに読み込みます。必要に応じて移動、または削除をしてください。
        Me.ItemTableAdapter.Fill(Me.OrderDataSet.item)

    End Sub

    Private Sub BindingNavigatorMoveFirstItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BindingNavigatorMoveFirstItem.Click
        ' 入力エラーがある場合はレコードを移動しない
        If HandleInputError() = False Then
            Exit Sub
        End If
        ' 先頭のレコードに移動する
        ItemBindingSource.MoveFirst()
    End Sub

    Private Sub BindingNavigatorMovePreviousItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BindingNavigatorMovePreviousItem.Click
        ' 入力エラーがある場合はレコードを移動しない
        If HandleInputError() = False Then
            Exit Sub
        End If
        ' 前のレコードに移動する
        ItemBindingSource.MovePrevious()
    End Sub

    Private Sub BindingNavigatorMoveNextItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BindingNavigatorMoveNextItem.Click
        ' 入力エラーがある場合はレコードを移動しない
        If HandleInputError() = False Then
            Exit Sub
        End If
        ' 次のレコードに移動する
        ItemBindingSource.MoveNext()
    End Sub

    Private Sub BindingNavigatorMoveLastItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BindingNavigatorMoveLastItem.Click
        ' 入力エラーがある場合はレコードを移動しない
        If HandleInputError() = False Then
            Exit Sub
        End If
        ' 最後のレコードに移動する
        ItemBindingSource.MoveLast()
    End Sub

    Private Sub BindingNavigatorAddNewItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BindingNavigatorAddNewItem.Click
        ' 入力エラーがある場合はレコードを新規作成しない
        If HandleInputError() = False Then
            Exit Sub
        End If
        ' レコードを新規作成する
        ItemBindingSource.AddNew()
    End Sub

    Private Sub BindingNavigatorDeleteItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BindingNavigatorDeleteItem.Click
        ' 削除してよいかどうかを尋ねる
        If MsgBox("この商品を削除してもよろしいですか", MsgBoxStyle.YesNo + MsgBoxStyle.DefaultButton2) Then
            ' 「はい」がクリックされた場合は削除する
            ItemBindingSource.RemoveCurrent()
        End If
    End Sub

    Function HandleInputError() As Boolean
        ' レコードがない場合はエラーチェックを行わない
        If ItemBindingSource.Count = 0 Then
            Return True
        End If
        ' 入力エラーのチェック
        If NameTextBox.Text = "" Then
            MsgBox("商品名を入力してください")
            NameTextBox.Focus()
            Return False
        End If
        If Val(PriceTextBox.Text) <= 0 Then
            MsgBox("単価を入力してください")
            PriceTextBox.Focus()
            Return False
        End If
        Return True
    End Function

End Class