﻿Public Class OrderForm

    Private Sub Order_mainBindingNavigatorSaveItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Order_mainBindingNavigatorSaveItem.Click
        Me.Validate()
        ' レコードの編集を終える
        Me.Order_mainBindingSource.EndEdit()
        Me.Order_subBindingSource.EndEdit()
        ' DataSetの内容をテーブルに保存する
        Me.TableAdapterManager.UpdateAll(Me.OrderDataSet)
    End Sub

    Private Sub OrderForm_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.ItemTableAdapter.Fill(Me.OrderDataSet.item)
        Me.CustomerTableAdapter.Fill(Me.OrderDataSet.customer)
        Me.Order_mainTableAdapter.Fill(Me.OrderDataSet.order_main)
        Me.Order_subTableAdapter.Fill(Me.OrderDataSet.order_sub)
    End Sub

    Private Sub Customer_idComboBox_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Customer_idComboBox.SelectedIndexChanged
        Dim row As OrderDataSet.customerRow

        ' 何も選択されていない場合は、住所と電話番号をクリアする
        If Customer_idComboBox.SelectedItem Is Nothing Then
            txtAddress.Text = ""
            txtPhone.Text = ""
        Else
            ' 選択された顧客のレコードを得る
            row = Customer_idComboBox.SelectedItem.row
            ' 住所と電話番号を表示する
            txtAddress.Text = row.address
            txtPhone.Text = Trim(row.phone)
        End If
    End Sub

    Private Sub BindingNavigatorAddNewItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BindingNavigatorAddNewItem.Click
        Dim dv As New DataView, newId As Integer
        ' order_mainテーブルをDataViewにコピーし、id列の値が大きい順に並べ替える
        dv.Table = OrderDataSet.order_main
        dv.Sort = "id desc"
        If dv.Count = 0 Then
            ' order_mainテーブルにレコードがなければ、新しいレコードのidを1にする
            newId = 1
        Else
            ' order_mainテーブルにレコードがあれば、
            ' 新しいレコードのidを、最大のidの次の番号にする
            newId = dv.Item(0)("id") + 1
        End If
        ' レコードを新規作成する
        Order_mainBindingSource.AddNew()
        ' idのテキストボックスに新しいレコードのidを設定する
        IdTextBox.Text = newId
        ' 日付（date）のDateTimePickerに現在の日時を設定する
        DateDateTimePicker.Value = Now()
    End Sub

    Private Sub Order_subDataGridView_Enter(ByVal sender As Object, ByVal e As System.EventArgs) Handles Order_subDataGridView.Enter
        ' 伝票メインテーブルの編集を確定する
        Order_mainBindingSource.EndEdit()
    End Sub

    Private Sub btnDeleteItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDeleteItem.Click
        ' 削除してよいかどうかを尋ねる
        If MsgBox("この商品を削除してもよろしいですか", MsgBoxStyle.YesNo + MsgBoxStyle.DefaultButton2) = MsgBoxResult.Yes Then
            ' 「はい」がクリックされた場合は削除する
            Order_subBindingSource.RemoveCurrent()
        End If
    End Sub
End Class