﻿Public Class CustomerForm

    Private Sub CustomerBindingNavigatorSaveItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CustomerBindingNavigatorSaveItem.Click, Me.FormClosing
        Me.Validate()
        ' 入力エラーがある場合は保存しない
        If HandleInputError() = False Then
            ' フォームを閉じる前の場合、閉じる処理をキャンセルする
            If TypeName(e) = "FormClosingEventArgs" Then
                DirectCast(e, FormClosingEventArgs).Cancel = True
            End If
            Return
        End If
        Me.CustomerBindingSource.EndEdit()
        Me.TableAdapterManager.UpdateAll(Me.OrderDataSet)
    End Sub

    Private Sub CustomerForm_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'TODO: このコード行はデータを 'OrderDataSet.customer' テーブルに読み込みます。必要に応じて移動、または削除をしてください。
        Me.CustomerTableAdapter.Fill(Me.OrderDataSet.customer)

    End Sub

    ' 先頭
    Private Sub BindingNavigatorMoveFirstItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BindingNavigatorMoveFirstItem.Click
        ' 入力エラーがある場合はレコードを移動しない
        If HandleInputError() = False Then
            Exit Sub
        End If
        ' 先頭のレコードに移動する
        CustomerBindingSource.MoveFirst()
    End Sub

    ' 前
    Private Sub BindingNavigatorMovePreviousItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BindingNavigatorMovePreviousItem.Click
        ' 入力エラーがある場合はレコードを移動しない
        If HandleInputError() = False Then
            Exit Sub
        End If
        ' 前のレコードに移動する
        CustomerBindingSource.MovePrevious()
    End Sub

    ' 次
    Private Sub BindingNavigatorMoveNextItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BindingNavigatorMoveNextItem.Click
        ' 入力エラーがある場合はレコードを移動しない
        If HandleInputError() = False Then
            Exit Sub
        End If
        ' 次のレコードに移動する
        CustomerBindingSource.MoveNext()
    End Sub

    ' 最後
    Private Sub BindingNavigatorMoveLastItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BindingNavigatorMoveLastItem.Click
        ' 入力エラーがある場合はレコードを移動しない
        If HandleInputError() = False Then
            Exit Sub
        End If
        ' 最後のレコードに移動する
        CustomerBindingSource.MoveLast()
    End Sub

    ' 新規作成
    Private Sub BindingNavigatorAddNewItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BindingNavigatorAddNewItem.Click
        ' 入力エラーがある場合はレコードを新規作成しない
        If HandleInputError() = False Then
            Exit Sub
        End If
        ' レコードを新規作成する
        CustomerBindingSource.AddNew()
    End Sub

    ' 削除
    Private Sub BindingNavigatorDeleteItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BindingNavigatorDeleteItem.Click
        ' 削除してよいかどうかを尋ねる
        If MsgBox("この顧客を削除してもよろしいですか", MsgBoxStyle.YesNo + MsgBoxStyle.DefaultButton2) = MsgBoxResult.Yes Then
            ' 「はい」がクリックされた場合は削除する
            CustomerBindingSource.RemoveCurrent()
        End If
    End Sub

    Function HandleInputError() As Boolean
        ' レコードがない場合はエラーチェックを行わない
        If CustomerBindingSource.Count = 0 Then
            Return True
        End If
        ' 入力エラーのチェック
        If NameTextBox.Text = "" Then
            MsgBox("顧客名を入力してください")
            NameTextBox.Focus()
            Return False
        End If
        If AddressTextBox.Text = "" Then
            MsgBox("住所を入力してください")
            AddressTextBox.Focus()
            Return False
        End If
        If PhoneMaskedTextBox.MaskCompleted = False Then
            MsgBox("電話番号を正しく入力してください")
            PhoneMaskedTextBox.Focus()
            Return False
        End If
        Return True
    End Function

End Class